@use 'sass/base';
@use 'sass/mixin';
@use 'sass/size';
@use 'sass/color';
@use 'sass/font';

$brown: #6b3d00;

.landing-page-container {
  @include mixin.page(row);
  gap: 0;
}

.get-started-container {
  @include mixin.center-items(center, flex-start);
  width: 100%;
  height: calc(100vh - #{size.$header-size});
  .windflower-text-container {
    @include mixin.center-items;
    flex-flow: column nowrap;
    gap: size.$gap;
    padding-top: 20vh;
    color: color.$light-text;
    z-index: 10;
    .title {
      line-height: 1em;
      font-size: 7em;
      font-weight: 900;
      font-family: font.$text;
      span {
        color: color.$mat-light-blue;
      }
    }
    .subtitle {
      font-size: 1.5em;
    }
    button {
      border-radius: size.$round-border-radius;
      text-transform: uppercase;
      padding: size.$gap 2 * size.$gap;
      background-color: color.$mat-light-blue;
      border: none;
      font-weight: bold;
      font-size: large;
      color: color.$light-text;
    }
  }
}

.scenery-container {
  height: 100%;
}

.ground {
  position: absolute;
  width: 100%;
  left: 0;
  top: 60vh;
  bottom: 0;
  background-color: $brown;
}

.data-container {
  @include mixin.center-items;
  flex-flow: column nowrap;
  gap: size.$gap;
  width: 100%;
  height: 60vh;
  margin-bottom: 8vh;
  z-index: 1;
  text-align: center;
  .flex-row {
    height: 100%;
    @include mixin.center-items;
    flex-flow: row nowrap;
    gap: size.$gap;
    width: 70%;
    .map-wrapper {
      flex: 1 1 500px;
      height: 100%;
    }
    .newsfeed-wrapper {
      flex: 0 0 400px;
      height: 100%;
    }
    .number-container {
      @include mixin.center-items(space-evenly, flex-end);
      flex-flow: column nowrap;
      height: 100%;
      padding-right: size.$gap;
      .number {
        flex: 1;
        @include mixin.center-items(center, flex-end);
        flex-flow: column nowrap;
        color: color.$light-text;
        span {
          font-weight: 1000;
          font-size: 7em;
          line-height: 1em;
        }
        h3 {
          font-weight: 100;
          font-size: size.$text;
        }
      }
    }
  }
}

.learn-more-container {
  @include mixin.center-items;
  z-index: 1;
  margin-bottom: 4vh;
  .info-container {
    width: 70%;
    @include mixin.center-items(space-evenly, flex-start);
    gap: size.$gap;
    .info {
      flex: 1;
      color: color.$light-text;
      text-align: center;
      h2 {
        margin: 0.5 * size.$gap 0;
      }
    }
  }
}
